/*
  Analysis of the enemy team
  by: Jaroslav Zajac
*/
#ifndef COACHANALYSER_H
#define COACHANALYSER_H

#include "Common/protocol/parsestructs.h"
#include "Player/formation.h"

#define FIELDWIDTH 104
#define FIELDHEIGHT 68
#define SECTORSIZE 2

//#define OBRANA 0
//#define STRED 1
//#define UTOK 2
#define MAXOFFSET 25 
#define MAXFORMATIONS 5 //nahradi sa konfigurakom

class CoachAnalyser
{
public:
	void reset();
	unsigned countAttackFitness(Formation * f);
	unsigned countDefenceFitness(Formation * f);
	CoachAnalyser();
	~CoachAnalyser();
	update(const COACH_VISUAL_INFO *vi);
	printToFile(const char *file);

private:
	unsigned field[FIELDWIDTH/SECTORSIZE][FIELDHEIGHT/SECTORSIZE];
};

#endif